%% Contour plot example: 
figure(1)
% Define 2 vectors x_v and  y_v
x_v= 1:5;
y_v = -2:2;
%% meshgrid gives the 2D grid coordinates 
% x will be a matrix containing a copy of the vector x_v as many times as
% the size of the vector. 
% y will be a matrix containing a copy of the vector y_v but as column (not
% as row), repeated as many times as the size of the vector y_v. 
[x y] = meshgrid(x_v,y_v)
% the product between each element of matrix x with each element of matrix
% y. 
% Please notice that this is not a product between 2 matrices
z = x.*y
contour(x,y,z)
set(gca,'FontSize',20);
colorbar
colormap spring