clear all
close all

load Cov_june.mat  %% load the data containing nb of Covid cases per day
figure(1)
b=bar(Cov_june,'k');
title('Covid cases in June');
ylabel('Nb of cases');
xlabel('Day');
set(gca,'FontSize',20);
b.FaceColor = 'flat';
%%%%%%%%%%%%%%%%%%%%%%%
% Find the minimum and the maximum of Covid cases
[min1 min2] = min(Cov_june); 
[max1 max2] = max(Cov_june);
%%%%%%%%%%%%%%%%%%%%%%
b.CData(min2,:) = [0 1 0];
b.CData(max2,:) = [1 0 0];

%% Find the mean value of Covid new cases for June: 
meanv = mean(Cov_june);
yline(meanv,'LineWidth',5,'Color','m')