
clear

%% COORDINATE VECTORS AND MATRICES
x_line = linspace(-3,3,500);
y_line = linspace(-3,3,500);

[x, y] = meshgrid(x_line, y_line);


%% DEFINE THE FUNCTION WE WILL PLOT
z = sin(x) .* cos(y);

%% MAKE PRETTY PLOTS
figure(1)

surf(x,y,z)
colorbar
shading interp
view(30,60)
lightangle(100,180)
colormap parula
lighting gouraud

