function dy=predatorprey(t,y)
% Predator Prey model
%
% dx_dt = Ax-Bxy
% dy_dt = -Cy+Dxy
%
% Input arguments: x, y and t 
% Output arguments: dx_dt and dy_dt
%
% constants
%  A = 1;   
%  B = 1;
%  C = 1; 
%  D = 1; 
%  


A=0.5;
B=0.02;
C=0.4;
D=0.004;


%initialize
dy = zeros(2,1);

%evaluate
dy(1)=A*y(1)-B*y(1)*y(2);
dy(2)=-C*y(2)+D*y(1)*y(2);

%dy = dy'; 
