Im=double(imread('mandi.tif'));
% Try to change the pixels higher than 80% or smaller than 20% of the
% maximum pixel intensity to zero. 

% Successive tip (start by thinking without looking at them)
% 1/ find the maximum intensity M of the image using mas
% 2/ find all pixels greater than 0.8*M OR smaller than 0.2*M
% 3/ Using that indexing vector, turn these pixels to 0. 
% Image the initial and final images. 

figure(1)
subplot(2,1,1)
imagesc(Im)

%1/ max:
M=max(max(Im));

%2/ find
v=find(Im>0.6*M | Im<0.3*M);

%3/ indexing
Im(v)=0;

subplot(2,1,2)
imagesc(Im)
