close all 
clear all
clc

Ni=200;
Si=1000;
tau=20;
tau2=50;
t = (1:Ni);
R=50+t*0.1;
x = Si/2+t./Ni*Si/3.*tan(t./tau2*2*pi);
y = Si/2+t./Ni*Si/3.*cos(t./tau2*2*pi);
R1=5;
R2=25;
x1 = t/Ni*Si;
y1 = Si/2+cos(x1);
y2 = t/Ni*Si;
x2 = Si/3+sin(y2);

plot(x,y)
I=repmat(1:Si,[Si,1]);
J=repmat((1:Si)',[1,Si]);

Cb=(1:Ni)/Ni*2*Si;
s1=20;
s2=5;


vid = VideoWriter('JumpingDroplet2.AVI');
vid.FrameRate = 10;
open(vid);

for ni=1:Ni
    Im=rand(Si);
    Im=imgaussfilt(Im,10);
    Im((I-x(ni)).^2+(J-y(ni)).^2<R(ni).^2)=1;
    Im((I-x1(ni)).^2+(J-y1(ni)).^2<R1.^2)=1;
    Im((I-x2(ni)).^2+(J-y2(ni)).^2<R2.^2)=1;
    Im=Im+0.1*rand(size(Im));
    Im=uint8((Im-minmin(Im))/(maxmax(Im)-minmin(Im))*255);
    figure(1)
    imagesc(Im)
    colormap gray
    axis equal
    writeVideo(vid, Im);
end
close(vid)