close all 
clear all
clc

tau=20;
tau2=50;


C=rgb2gray(imread('Congrats.png'));
B=rgb2gray(imread('bravo.png'));
imagesc(C);
D=imbinarize(C);
D2=imbinarize(B);
E=bwconncomp(D);
E2=bwconncomp(D2);
indx=cat(1,E.PixelIdxList);
indx=indx{1};
indx2=cat(1,E.PixelIdxList);
indx2=indx{1};
[x,y]=ind2sub(size(C),indx);
x=x(1:6:end);
y=y(1:6:end);
Ni=numel(x);
t = (1:Ni);
Si=size(C);
R=10;
plot(x,y,'.')
I=repmat(1:Si(2),[Si(1),1]);
J=repmat((1:Si(1))',[1,Si(2)]);

vid = VideoWriter('JumpingDroplet4.AVI');
vid.FrameRate = 10;
open(vid);

for ni=1:Ni
    
    Im=rand(Si);
    Im=imgaussfilt(Im,10);
    Im((I-y(ni)).^2+(J-x(ni)).^2<R.^2)=1;
    Im=Im+0.1*rand(size(Im));
    Im=uint8((Im-minmin(Im))/(maxmax(Im)-minmin(Im))*255);
    figure(1)
    imagesc(Im)
    colormap gray
    axis equal
    writeVideo(vid, Im);
end
close(vid)